//The following are 2 test patterns shown if the user presses any of the buttons during starting

//blink and fade all LEDs
void test1() {
    byte curTime[5] = {255, 255, 255, 255, 255};
    
    analogWrite(LED_POWER, OFF);
    //push data into the shift registers
    pushData(curTime);
    do {
        for (byte j = 0; j < 5; j++) {
            analogWrite(LED_POWER, 0);
            delay(150);
            analogWrite(LED_POWER, 255);
            delay(150);
        }
        for (byte j = 0; j < 5; j++) {
            for (byte i = 255; i != 1; i--) {
                analogWrite(LED_POWER, i);
                delay(2);
            }
            for (byte i = 1; i != 255; i++) {
                analogWrite(LED_POWER, i);
                delay(2);
            }
        }
    } while(1); //neverending loop
}
    
    

//1 LED scrolls over and over the matrix
void test2() {
    byte curTime[5] = {0, 0, 0, 0, 0};
    
    analogWrite(LED_POWER, OFF);
    //push data into the shift registers
    pushData(curTime);
    analogWrite(LED_POWER, ON);
    
    byte bytePtr = 0;
    byte bitPtr = 0;
    do {
        bitSet(curTime[bytePtr], bitPtr);
        pushData(curTime);
        delay(100);
        bitClear(curTime[bytePtr], bitPtr);
        
        if ((bitPtr == 6) && (bytePtr == 4)) {
            bitPtr = 0;
            bytePtr = 0;
        } else {
            if(++bitPtr > 7) {
                bitPtr = 0;
                if(++bytePtr > 4) {
                    bytePtr = 0;
                }
            }
        }
    } while (1); //forever
        
}

